PACMAN-KEY(8)

NUME
pacman-key - gestionează lista de chei de încredere a lui pacman

SINOPSIS

pacman-key [opțiuni] operația [ținte]

DESCRIERE

pacman-key este un script de înfășurare pentru GnuPG folosit pentru a gestiona inelul de chei pacman, care este colecția de chei PGP folosită pentru a verifica pachetele și bazele de date semnate. Oferă posibilitatea de a importa și exporta chei, de a prelua chei de la serverele de chei și de a actualiza baza de date de încredere a cheilor.

O gestionare mai complexă a inelului de chei poate fi realizată folosind GnuPG direct combinat cu opțiunea --homedir care indică spre inelul de chei pacman (localizat în „/etc/pacman.d/gnupg” în mod implicit).

Invocarea pacman-key constă în furnizarea unei operații cu toate opțiunile și țintele potențiale pe care se va opera. În funcție de operație, o țintă poate fi un identificator de cheie, un nume de fișier sau un director valid.

OPERAȚII

-a, --add
    Adaugă cheile conținute în fișierul sau fișierele specificate în inelul de chei al pacman. Dacă există deja o cheie, o actualizează.

-d, --delete
    Elimină cheile identificate de id-urile de chei specificate din inelul de chei al pacman.

-e, --export
    Exportă cheile identificate prin id-urile de chei specificate la ieșirea standard. Dacă nu este specificat niciun id de cheie, toate cheile vor fi exportate.

--edit-key
    Prezintă un meniu pentru o sarcină de gestionare a cheilor pentru ID-urile de chei specificate. Util pentru ajustarea nivelului de încredere al unei chei.

-f, --finger
    Afișează o amprentă pentru fiecare id de cheie specificat sau pentru toate cheile cunoscute dacă nu se specifică niciun id de cheie.

-h, --help
    Afișează sintaxa și opțiunile liniei de comandă.

--import
    Importă cheile din pubring.gpg în inelul de chei publice din directoarele specificate.

--import-trustdb
    Importă valorile „ownertrust” din trustdb.gpg în baza de date de încredere partajată din directoarele specificate.

--init
    Se asigură că inelul de chei este inițializat în mod corespunzător și că are permisiunile de acces necesare.

-l, --list-keys
    Listează toate cheile sau cheile specificate din inelul de chei publice.

--list-sigs
    La fel ca --list-keys, dar semnăturile sunt listate și ele.

--lsign-key
    Semnează local cheia dată. Acest lucru este utilizat în principal pentru a consolida rețeaua de încredere în cheia privată locală generată de --init.

--nocolor
    Dezactivează ieșirea colorată din pacman-key.

-r, --recv-keys
    Echivalent cu --recv-keys din GnuPG.

--refresh-keys
    Echivalent cu --refresh-keys din GnuPG.

--populate
    Reîncarcă cheile implicite din inelul de chei (furnizat opțional) din /usr/share/keyrings. Pentru mai multe informații, consultați secțiunea „Furnizarea unui inel de chei pentru import”, de mai jos.

-u, --updatedb
    Echivalent cu --check-trustdb din GnuPG. Această operație poate fi specificată cu alte operații.

-V, --version
    Afișează versiunea programului.

-v, --verify
    Presupunem că primul argument este o semnătură și o verifică. Dacă este furnizat un al doilea argument, acesta este fișierul care urmează să fie verificat.

    Cu un singur argument dat, se presupune că semnătura este o semnătură detașată și se caută un fișier de date corespunzător pentru a verifica prin eliminarea extensiei fișierului. În cazul în care nu se găsește niciun fișier de date corespunzător, se revine la semantica GnuPG și se încearcă verificarea unui fișier cu o semnătură încorporată.

OPȚIUNI

--config <fișier>
    Utilizează un fișier de configurare alternativ în locul fișierului „/etc/pacman.conf default”.

--gpgdir <director>
    Stabilește un director personal alternativ pentru GnuPG. Dacă nu este specificată, valoarea este citită din „/etc/pacman.conf”.

--keyserver <server-chei>
    Utilizează serverul de chei specificat în cazul în care operația necesită unul. Acest lucru va avea prioritate față de orice opțiune de server de chei specificată într-un fișier de configurare „gpg.conf”. Rularea --init cu această opțiune va stabili serverul de chei implicit, dacă nu a fost deja configurat unul.

FURNIZAREA UNUI INEL DE CHEI PENTRU IMPORT

O distribuție sau un alt depozit poate dori să furnizeze un set de chei PGP utilizate pentru semnarea pachetelor și a bazelor de date ale depozitului său, care pot fi importate cu ușurință în inelul de chei pacman. Acest lucru se realizează prin furnizarea unui fișier PGP keyring foo.gpg care conține cheile pentru inelul de chei foo în directorul „/usr/share/keyrings”.

Opțional, se poate furniza fișierul foo-trusted, care conține o listă de ID-uri de chei de încredere pentru acest inel de chei. Acesta este un fișier într-un format compatibil cu ieșirea gpg --export-ownertrust. Acest fișier va informa utilizatorul despre cheile pe care un utilizator trebuie să le verifice și să le semneze pentru a construi o rețea locală de încredere, în plus față de atribuirea valorilor de încredere a proprietarului furnizate.

De asemenea, în mod opțional, poate fi furnizat fișierul foo-revoked, care conține o listă de ID-uri de chei revocate pentru acel inel de chei. Revocat este definit ca fiind „nu mai este valabilă pentru nici o semnătură”, deci trebuie utilizat cu prudență. O cheie marcată ca fiind revocată va fi dezactivată în cadrul inelului de chei și nu va mai fi tratată ca fiind valabilă, astfel încât acest lucru are întotdeauna prioritate față de starea sa de încredere în orice alt inel de chei.

CONSULTAȚI ȘI

pacman(8), pacman.conf(5)

Consultați situl web pacman la https://archlinux.org/pacman/ pentru informații actuale despre «pacman» și instrumentele sale conexe.

ERORI

Hibe? Probabil că glumiți; nu există nicio hibă în acest software&. Dar dacă se întâmplă să fie ceva greșit, depuneți o cerere de rezolvare a problemei cu cât mai multe detalii posibile la: https://gitlab.archlinux.org/pacman/pacman/-/issues.

AUTORI

Responsabilii actuali:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Contribuitori importanți din trecut:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Pentru contribuitori suplimentari, folosiți «git shortlog -s» în depozitul .git pacman.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.